/**
 * @fileoverview Utility module for toolboxIcons.js
 * 
 * @module components.game.editors.toolboxIcons
 */

export function getCategoryIcon(name) {
  switch (name) {
    case "Movimento":
      return "fa fa-arrows-alt";
    case "Repetição":
      return "fa fa-refresh";
    case "Lógica":
      return "fa fa-code";
    case "Sensores":
      return "fa fa-eye";
    case "Cor":
      return "fa fa-paint-brush";
    case "Tempo":
      return "fa fa-clock";
    case "Semáforo Carros":
      return "fa fa-traffic-light";
    case "Semáforo Pedestre":
      return "fa fa-walking";
    case "Multimídia":
      return "fa fa-music";
    case "Matemática":
      return "fa fa-calculator";
    case "Condicionais":
      return "fa fa-check";
    case "Funções":
      return "fa fa-cogs";
    case "Cena":
      return "fa fa-flag";
    case "Eventos":
      return "fa fa-bell";
    case "Texto":
      return "fa fa-font";
    case "Listas":
      return "fa fa-list";
    case "Variáveis":
      return "fa fa-database";
    case "Caneta":
      return "fa fa-pencil-alt";
    default:
      return "fa fa-cube";
  }
}
